AOZ Studio Beta - Bug #106

In Help_63, Request Wb and Request On used to cause syntax errors. Was marked as Resolved, but
now the same example causes the compiler to crash with Internal error.

02/03/2020 04:36 PM - Brian Flanagan

Status: Resolved Start date: 02/03/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: Beta 1

Affected version: 0.9.5.1

Description

Example: Help_63 from AMOSPro_Examples disk.
May be related to bug #61.
Errors:

First pass...
Second pass...
main.aoz:1:1: Compiler error: crash during compilation: pass: 2
cannot read property '23' of undefined
typeerror: cannot read property '23' of undefined
at object.specialcases.handleonerror (c:\snapshot\compiler\compiler.js:0:0)
at secondpass (c:\snapshot\compiler\compiler.js:0:0)
at object.module.exports.compile (c:\snapshot\compiler\compiler.js:0:0)
at compile (c:\snapshot\compiler\aoz.js:0:0)
at aoz (c:\snapshot\compiler\aoz.js:0:0)
at object.<anonymous> (c:\snapshot\compiler\aoz.js:0:0)
at module._compile (pkg/prelude/bootstrap.js:1261:22)
at object.module._extensions..]js (internal/modules/cjs/loader.js:787:10)
at module.load (internal/modules/cjs/loader.js:651:32)
at trymoduleload (internal/modules/cjs/loader.js:591:12)

Internal error
Task failed, no code generated...

History

#1 - 02/03/2020 05:18 PM - Brian Flanagan

Sorry, it looks like Baptiste already reported this issue in the comments of Bug #61.

#2 - 02/28/2020 05:55 PM - Brian Flanagan
- Affected version changed from 0.9.3.2 to 0.9.5.1

Problem still exists in 0.9.5.1

#3 - 11/17/2020 04:59 PM - Francois Lionet
- Status changed from New to Resolved
- Assignee set to Francois Lionet

- Target version set to Beta 1

Fixed!
